Skip to main content
GET
/
indices
/
symbols
Available Symbols
curl --request GET \
  --url https://api.tradewatch.io/indices/symbols \
  --header 'api-key: <api-key>'
import requests

url = "https://api.tradewatch.io/indices/symbols"

headers = {"api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'api-key': '<api-key>'}};

fetch('https://api.tradewatch.io/indices/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "symbol": "<string>",
      "name": "<string>"
    }
  ],
  "total": 123,
  "current_page": "<string>",
  "current_page_backwards": "<string>",
  "previous_page": "<string>",
  "next_page": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

api-key
string
header
required

Authentication via API key header

Query Parameters

size
integer
default:10

The number of items per page.

mode
string
default:base

The mode of the response.

type
string
default:all

Type of the instrument.

country
string
default:all

Country of the instrument.

cursor
string

Cursor for the next page

Response

Successful Response

items
SymbolsOutFull · object[]
required
total
integer | null

Total items

current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page